<template>
  <div>
    <welcome-modal
      v-if="isWelcomeOk===false"
      @okClicked="welcomeOk"
    />
    <dock />
    <loader />
  </div>
</template>

<script>
import Dock from '../components/Layout/Dock.vue'
import Loader from '../components/Layout/Loader'
import {mapGetters, mapActions} from 'vuex'
import WelcomeModal from '../components/Modal/WelcomeModal'

export default {
  name: 'Home',
  components: {WelcomeModal, Loader, Dock},
  computed: {
    ...mapGetters([
      'isWelcomeOk'
    ])
  },
  methods: {
    ...mapActions([
      'welcomeOk'
    ])
  }
}
</script>

<style scoped>

</style>